* {
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: 100vh;
    background-color: whitesmoke;
    overflow: auto;
}

.Navbar {
    width: 99%;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    
    border: 0.5px solid whitesmoke;
    position: fixed;
    backdrop-filter: blur(10px);
    


}

.nav-1 {
    position: absolute;
    left: 15px;
}

.nav-2 a {
    padding: 10px;
    text-decoration: none;
    color: black;

}

.nav-3 {
    position: absolute;
    right: 15px;
}

.inputContainer{
    height: 700px;
    width: 80%;
    margin: auto;
    
}
.companyName {
    font-size: 150%;
    font-weight: bold;
}

.phoneNum {}

.email {}

#Invoice{
    display: none;
}

/* .header {
    position: absolute;
    top: 1cm;
} */

h1 {
    text-align: center;
    font-size: 36px;
    color: #948fe3;
    margin-top: 3cm;
}

.floatText1 {
    margin-bottom: 10px;
    
}

.billTo {
    float: left;
}

.invoiceNo {
    float: right;
}

.floatText2 {
    margin-bottom: 40px;
    
}

.companyAddress {
    float: left;
}
.customer-phone{
    
    float: left;
}

.date {
    float: right;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
}

th,
td {
    padding: 8px;
    text-align: end;

}

th {
    background-color: #948fe3 !important;
    color: white;
}
tfoot{
    border-top: 1px solid ;
    border-bottom: 1px solid;
  }

.rightAlign {
    text-align: end;
}

tr.highlighted-row {
    border-top: 1px solid gray !important;
    border-bottom: 1px solid gray !important;
    font-weight: bold;
}

.table-wrapper {
    width: 90%;
    margin: auto;
    margin-top:8px ;
    position: relative;
    background-color: white;
}

.custom-table-container {
    display: flex;
    width: 100%;
    /* gap: 2px; */
}

.custom-first-table {
    width: 65%;
    margin-right: -22px;
    position: relative;
    left: -65px;
    color: #747474 !important;
    /* border:5px solid green; */
}

.custom-first-table td {
    padding: 8px;
    text-align: left;
    width: 50px;
}

.custom-first-alternate-row {
    background-color: #f7f7f7 !important;
}

.custom-second-table {
    position: relative;
    left: 50px;
    width: 48%;
    
    

}

.custom-second-table td {

    padding: 8px;
    text-align: start;
}

.custom-second-highlighted-row {
    background-color: #948fe3 !important;
    color: white !important;
}

.custom-second-bottom-outline-row {
    border-bottom: 1px solid gray !important;
}

.signatureSpace1 {
    color: #2c4c54;
    margin-left: 52%;
    text-align: center;
    margin-top: 50px;
}

.signatureSpace2 {
    margin-left: 52%;
    text-align: center;
    margin-top: 100px;
}
#printbtn{
    margin:10px 0px;
        border: 1px solid black;
        width: 50px;
        height: 20px;
        padding: 2px;
        border-radius: 2px;
        background-color: blue;
        color: white;
  }
/* ----------------------------------------------------------- */

.footer{
    border: 2px solid;
    width: 99%;
    height: 40px;
}
.footer p{
    
    padding: 11px;
}

.form {
    height: 700px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

.form-container {
    max-width: 700px;
    width: 100%;
    background-color: #fff;
    padding: 25px 30px;
    border-radius: 5px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
}

.form-container .title {
    font-size: 25px;
    font-weight: 500;
    position: relative;
}

.con-container form .user-details {
    display: none;
    margin: 20px 0 12px 0;
}

form .user-details .input-box {
    margin-bottom: 15px;
    width: calc(100% / 2 - 20px);
}

form .input-box span.details {
    display: block;
    font-weight: 500;
    margin-bottom: 5px;
}

.user-details .input-box input {
    height: 45px;
    width: 100%;
    outline: none;
    font-size: 16px;
    border-radius: 5px;
    padding-left: 15px;
    border: 1px solid #ccc;
    border-bottom-width: 2px;
    transition: all 0.3s ease;
}

.user-details .input-box input:focus,
.user-details .input-box input:valid {
    border-color: #9b59b6;
}

form .button {
    
    height: 45px;
    margin: 0px 0;
    display:flex;
    
    justify-content: center;
    position: relative;
    
}

form .button input {
    height: 30px;
    width: 70px;
    border-radius: 5px;
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    transition: all 0.3s ease;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}
#p{
    margin: auto;
}
form .button input:hover {
    /* transform: scale(0.99); */
    background: linear-gradient(-135deg, #71b7e6, #9b59b6);
}

@media(max-width: 584px) {
    .form{
        height: 1100px;
    }
    .container {
        max-width: 100%;
    }
    .form-container{
        margin-top:50px ;
        height: 1000px;
    }
    form .user-details .input-box {
        margin-bottom: 15px;
        width: 100%;
    }

    form .category {
        width: 100%;
    }

    .con-container form .user-details {
        max-height: 593px;
        overflow-y:visible;
    }

    .user-details::-webkit-scrollbar {
        width: 5px;
    }
    form .button{
        display: flex;
        flex-direction: row;
        height: 131px;
        position: relative;
        
    }
    
    form .button input {
        width: 80%;
        margin: 10px;
        height: 50px;

    }
    .form-container .content .category {
        flex-direction: column;
        
    }
    .user-details .input-box input {
        width: 90%;
}
    #btns{
        position: relative;
        top: 190px;
    }
    
    #p{
        margin: 0;
        position: relative;
        left: 34px;
        top:190px;
    }
}


#frontendContent{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: "20px 0 12px 0";
}
button{
    height: 100%;
    width: 20%;
    border-radius: 5px;
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    transition: all 0.3s ease;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}
.btn{
    display: none
}